/*
	Transforming ItemsIn -> Items -> ItemsOut
	Where Items has column values stored as integers to save memmory
	maps are needed to restore integers back to the actual string values.
	those are generated and stored here.
*/

package main

type ModelMaps struct {

{{mappedColumns}}

}

var BitArrays map[string]fieldBitarrayMap

{{shrinkVars}}


func clearBitArrays() {
	BitArrays = make(map[string]fieldBitarrayMap)
}

func init() {
	clearBitArrays()
	setUpRepeatedColumns()
}


func setUpRepeatedColumns() {
{{initRepeatColumns}}
}


func CreateMapstore() ModelMaps {
	return ModelMaps{
{{repeatColumnNames}}
	}
}


func LoadMapstore(m ModelMaps) {

{{loadRepeatColumnNames}}

{{registerColumns}}

}
